package com.logicbig.example;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import javax.annotation.PostConstruct;

@Component
public class ClientBean {
    @Value("${app.window.width}")
    private int width;
    @Value("${app.window.height}")
    private int height;
    @Value("${app.refresh.rate}")
    private int refreshRate;
    @Value("${db.connect.url}")
    private String dbConnectionUrl;
    @Value("${db.pool.size}")
    private int dbConnectionPoolSize;

    @PostConstruct
    private void postConstruct() {
        System.out.printf("width= %s%n", width);
        System.out.printf("height= %s%n", height);
        System.out.printf("refresh rate= %s%n", refreshRate);
        System.out.printf("db connect url= %s%n", dbConnectionUrl);
        System.out.printf("db connection pool size= %s%n", dbConnectionPoolSize);
    }
}